VSTGUI: ITextEditor::Style Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
ITextEditor::Style Struct Reference

Style configuration for the text editor. More...

`#include <ctexteditor.h>`

## Public Types
enum class | Flags : uint32_t { ShowLineNumbers , HighlightCursorLine , ReadOnlyMode }
| Style flags for the text editor. More...
using | FlagsBitset = EnumBitset<Flags>

## Public Attributes
SharedPointer< CFontDesc > | font {kNormalFont}
SharedPointer< CFontDesc > | lineNumbersFont {kNormalFontSmall}
CColor | textColor {kBlackCColor}
CColor | backColor {kWhiteCColor}
CColor | cursorColor {kBlackCColor}
CColor | highlightCursorLineColor {0, 0, 0, 10}
CColor | selectionBackColor {kGreyCColor}
CColor | frameColor {kGreyCColor}
CColor | lineNumberTextColor {127, 127, 127, 100}
CColor | lineNumberTextSelectedColor {100, 100, 100, 255}
CColor | lineNumberLine {127, 127, 127, 100}
CCoord | lineSpacing {2.5}
CCoord | leftMargin {4.}
CCoord | lineNumberLeftMargin {2.}
CCoord | lineNumberRightMargin {2.}
uint32_t | cursorBlinkTime {500}
| Cursor blink time in milliseconds.
uint32_t | tabWidth {4}
| Tab width in spaces.
FlagsBitset | flags {{Flags::ShowLineNumbers, Flags::HighlightCursorLine}}

## Detailed Description

Style configuration for the text editor.

## Member Typedef Documentation

## ◆ FlagsBitset

using FlagsBitset = EnumBitset<Flags>

## Member Enumeration Documentation

## ◆ Flags

enum class Flags : uint32_t
| strong

Style flags for the text editor.

Enumerator
ShowLineNumbers | Show line numbers in the editor.
HighlightCursorLine | Highlight the line with the cursor.
ReadOnlyMode | Enable read-only mode.

## Member Data Documentation

## ◆ backColor

CColor backColor {kWhiteCColor}

## ◆ cursorBlinkTime

uint32_t cursorBlinkTime {500}

Cursor blink time in milliseconds.

## ◆ cursorColor

CColor cursorColor {kBlackCColor}

## ◆ flags

FlagsBitset flags {{Flags::ShowLineNumbers, Flags::HighlightCursorLine}}

## ◆ font

SharedPointer<CFontDesc> font {kNormalFont}

## ◆ frameColor

CColor frameColor {kGreyCColor}

## ◆ highlightCursorLineColor

CColor highlightCursorLineColor {0, 0, 0, 10}

## ◆ leftMargin

CCoord leftMargin {4.}

## ◆ lineNumberLeftMargin

CCoord lineNumberLeftMargin {2.}

## ◆ lineNumberLine

CColor lineNumberLine {127, 127, 127, 100}

## ◆ lineNumberRightMargin

CCoord lineNumberRightMargin {2.}

## ◆ lineNumbersFont

SharedPointer<CFontDesc> lineNumbersFont {kNormalFontSmall}

## ◆ lineNumberTextColor

CColor lineNumberTextColor {127, 127, 127, 100}

## ◆ lineNumberTextSelectedColor

CColor lineNumberTextSelectedColor {100, 100, 100, 255}

## ◆ lineSpacing

CCoord lineSpacing {2.5}

## ◆ selectionBackColor

CColor selectionBackColor {kGreyCColor}

## ◆ tabWidth

uint32_t tabWidth {4}

Tab width in spaces.

## ◆ textColor

CColor textColor {kBlackCColor}

The documentation for this struct was generated from the following file:

- ctexteditor.h